# Class SystemSleepEvent

java.lang.Object
java.util.EventObject
java.awt.desktop.AppEvent
java.awt.desktop.SystemSleepEvent

All Implemented Interfaces:
  `Serializable`

public final class SystemSleepEvent extends AppEvent
Event sent when the system enters and exits power save sleep.

Since:
  9
See Also:
  - `SystemSleepListener.systemAboutToSleep(SystemSleepEvent)`
  - `SystemSleepListener.systemAwoke(SystemSleepEvent)`
  - Serialized Form

## Field Summary

### Fields declared in class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SystemSleepEvent()`
Constructs a `SystemSleepEvent`.

## Method Summary

### Methods declared in class EventObject

`getSource, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SystemSleepEvent

public SystemSleepEvent()
Constructs a `SystemSleepEvent`.

Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  - `Desktop.isDesktopSupported()`
  - `GraphicsEnvironment.isHeadless()`